# $Revision: 1.133 $, $Date: 2009/02/07 16:57:10 $
# TODO:
# - prepare libglx and libdri for multigl (possible only using separate X-server instances)
# - merge libglx and libdri back into driver package?
#
# Conditional build:
%bcond_without	dist_kernel	# without distribution kernel
%bcond_without	kernel		# don't build kernel modules
%bcond_without	userspace	# don't build userspace tools
%bcond_with	verbose		# verbose build (V=1)
%bcond_with	multigl		# package libGL in a way allowing concurrent install with nvidia/fglrx drivers

%define		x11ver		x740

%if %{without kernel}
%undefine	with_dist_kernel
%endif
%if "%{_alt_kernel}" != "%{nil}"
%undefine	with_userspace
%endif
%if %{without userspace}
# nothing to be placed to debuginfo package
%define		_enable_debug_packages	0
%endif

%ifarch %{ix86}
%define		arch_sufix	%{nil}
%define		arch_dir	x86
%else
%define		arch_sufix	_64a
%define		arch_dir	x86_64
%endif

%define		rel	2
%define		pname		xorg-driver-video-fglrx
Summary:	Linux Drivers for ATI graphics accelerators
Summary(pl.UTF-8):	Sterowniki do akceleratorów graficznych ATI
Name:		%{pname}%{_alt_kernel}
Version:	9.1
Release:	%{rel}%{?with_multigl:.mgl}
Epoch:		1
License:	ATI Binary (parts are GPL)
Group:		X11
Source0:	http://dlmdownloads.ati.com/drivers/linux/ati-driver-installer-9-1-x86.x86_64.run
# Source0-md5:	cc4ff401586a6c099c9fd002c25cf7bb
Source1:	%{pname}.desktop
Patch0:		%{pname}-kh.patch
Patch1:		%{pname}-smp.patch
URL:		http://ati.amd.com/support/drivers/linux/linux-radeon.html
%{?with_userspace:BuildRequires:	OpenGL-GLU-devel}
%{?with_dist_kernel:BuildRequires:	kernel%{_alt_kernel}-module-build >= 3:2.6.20.2}
%{?with_userspace:BuildRequires:	qt-devel}
BuildRequires:	rpmbuild(macros) >= 1.379
BuildRequires:	xorg-lib-libXmu-devel
BuildRequires:	xorg-lib-libXxf86vm-devel
BuildRequires:	xorg-proto-recordproto-devel
BuildRequires:	xorg-proto-xf86miscproto-devel
BuildRequires:	xorg-proto-xf86vidmodeproto-devel
Requires:	%{pname}-libdri = %{epoch}:%{version}-%{release}
Requires:	%{pname}-libglx = %{epoch}:%{version}-%{release}
Requires:	xorg-xserver-server
Requires:	xorg-xserver-server(videodrv-abi) >= 2.0
Requires:	xorg-xserver-server(videodrv-abi) <= 4.1
Provides:	OpenGL = 2.0
Provides:	OpenGL-GLX = 1.4
# hack to make OpenGL ABI compatible
%ifarch %{x8664}
Provides:	libGL.so.1()(64bit)
%else
Provides:	libGL.so.1
%endif
%if !%{with multigl}
Obsoletes:	Mesa
Conflicts:	Mesa-libGL
%endif
Obsoletes:	X11-OpenGL-libGL < 1:7.0.0
Obsoletes:	X11-driver-firegl < 1:7.0.0
Obsoletes:	XFree86-OpenGL-libGL < 1:7.0.0
Obsoletes:	XFree86-driver-firegl < 1:7.0.0
ExclusiveArch:	i586 i686 athlon pentium3 pentium4 %{x8664}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_ccver	%(rpm -q --qf "%{VERSION}" gcc | sed 's/\\..*//')

%define		_noautoreqdep	libGL.so.1

%description
Display driver files for the ATI Radeon 8500, 9700, Mobility M9 and
the FireGL 8700/8800, E1, Z1/X1 graphics accelerators. This package
provides 2D display drivers and hardware accelerated OpenGL.

%description -l pl.UTF-8
Sterowniki do kart graficznych ATI Radeon 8500, 9700, Mobility M9 oraz
graficznych akceleratorów FireGL 8700/8800, E1, Z1/X1. Pakiet
dostarcza sterowniki obsługujące wyświetlanie 2D oraz sprzętowo
akcelerowany OpenGL.

%package libdri
Summary:	DRI extension library for X.org server with fglrx driver
Summary(pl.UTF-8):	Biblioteka rozszerzenia DRI dla serwera X.org ze sterownikiem fglrx
Group:		X11/Servers
Provides:	xorg-xserver-module(dri)
Conflicts:	xorg-driver-video-nvidia
Conflicts:	xorg-xserver-libdri

%description libdri
DRI extension library for X.org server with fglrx driver.

%description libdri -l pl.UTF-8
Biblioteka rozszerzenia DRI dla serwera X.org with fglrx driver.

%package libglx
Summary:	GLX extension library for X.org server with fglrx driver
Summary(pl.UTF-8):	Biblioteka rozszerzenia GLX dla serwera X.org ze sterownikiem fglrx
Group:		X11/Servers
Provides:	xorg-xserver-module(glx)
Conflicts:	xorg-driver-video-nvidia
Conflicts:	xorg-xserver-libglx

%description libglx
GLX extension library for X.org server with fglrx driver.

%description libglx -l pl.UTF-8
Biblioteka rozszerzenia GLX dla serwera X.org with fglrx driver.

%package devel
Summary:	Header files for development for the ATI Radeon cards proprietary driver
Summary(pl.UTF-8):	Pliki nagłówkowe do programowania z użyciem własnościowego sterownika dla kart ATI Radeon
Group:		X11/Development/Libraries
Requires:	%{pname} = %{epoch}:%{version}-%{release}
# or more?
Requires:	xorg-proto-glproto-devel

%description devel
Header files for development for the ATI proprietary driver for
ATI Radeon graphic cards.

%description devel -l pl.UTF-8
Pliki nagłówkowe do programowania z użyciem własnościowego sterownika
ATI dla kart graficznych Radeon.

%package static
Summary:	Static libraries for development for the ATI Radeon cards proprietary driver
Summary(pl.UTF-8):	Biblioteki statyczne do programowania z użyciem własnościowego sterownika dla kart ATI Radeon
Group:		X11/Development/Libraries
Requires:	%{pname}-devel = %{epoch}:%{version}-%{release}

%description static
Static libraries for development for the ATI proprietary driver for
ATI Radeon graphic cards.

%description static -l pl.UTF-8
Biblioteki statyczne do programowania z użyciem własnościowego
sterownika ATI dla kart graficznych ATI Radeon.

%package -n kernel%{_alt_kernel}-video-firegl
Summary:	ATI kernel module for FireGL support
Summary(pl.UTF-8):	Moduł jądra oferujący wsparcie dla ATI FireGL
Release:	%{rel}@%{_kernel_ver_str}
License:	ATI
Group:		Base/Kernel
%{?with_dist_kernel:%requires_releq_kernel}
Requires(post,postun):	/sbin/depmod

%description -n kernel%{_alt_kernel}-video-firegl
ATI kernel module for FireGL support.

%description -n kernel%{_alt_kernel}-video-firegl -l pl.UTF-8
Moduł jądra oferujący wsparcie dla ATI FireGL.

%prep
%setup -q -c -T

sh %{SOURCE0} --extract .

cp arch/%{arch_dir}/lib/modules/fglrx/build_mod/* common/lib/modules/fglrx/build_mod

cd common
%if %{with dist_kernel}
%patch0 -p2
%patch1 -p0
%endif
cd -

install -d common%{_prefix}/{%{_lib},bin,sbin}
cp -r %{x11ver}%{arch_sufix}/usr/X11R6/%{_lib}/* common%{_libdir}
cp -r arch/%{arch_dir}/usr/X11R6/%{_lib}/* common%{_libdir}
cp -r arch/%{arch_dir}/usr/X11R6/bin/* common%{_bindir}
cp -r arch/%{arch_dir}/usr/sbin/* common%{_sbindir}

%build
%if %{with kernel}
cd common/lib/modules/fglrx/build_mod
cp -f 2.6.x/Makefile .
%build_kernel_modules -m fglrx GCC_VER_MAJ=%{_ccver}
cd -
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with kernel}
%install_kernel_modules -m common/lib/modules/fglrx/build_mod/fglrx -d misc
%endif

%if %{with userspace}
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/{ati,env.d},%{_bindir},%{_sbindir},%{_pixmapsdir},%{_desktopdir},%{_datadir}/ati,%{_prefix}/lib,%{_libdir}/xorg/modules,%{_includedir}/{X11/extensions,GL}}

install common%{_bindir}/{amdcccle,aticonfig,atiodcli,atiode,fgl_glxgears,fglrx_xgamma,fglrxinfo} \
	$RPM_BUILD_ROOT%{_bindir}
install common%{_sbindir}/{amdnotifyui,atieventsd} \
	$RPM_BUILD_ROOT%{_sbindir}
cp -r common%{_libdir}/modules/* $RPM_BUILD_ROOT%{_libdir}/xorg/modules
ln -s %{_libdir}/xorg/modules/dri $RPM_BUILD_ROOT%{_prefix}/lib
cp -r common%{_sysconfdir}/ati/control $RPM_BUILD_ROOT%{_sysconfdir}/ati/control
cp -r common%{_sysconfdir}/ati/signature $RPM_BUILD_ROOT%{_sysconfdir}/ati/signature
cp -r common%{_sysconfdir}/ati/amdpcsdb.default $RPM_BUILD_ROOT%{_sysconfdir}/ati/amdpcsdb.default
cp -r common%{_sysconfdir}/ati/atiogl.xml $RPM_BUILD_ROOT%{_sysconfdir}/ati/atiogl.xml

cp -r common%{_datadir}/ati/* $RPM_BUILD_ROOT%{_datadir}/ati
cp -r %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
cp -r common%{_datadir}/icons/*.xpm $RPM_BUILD_ROOT%{_pixmapsdir}

%if %{with multigl}
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/ld.so.conf.d,%{_libdir}/fglrx}

echo %{_libdir}/fglrx >$RPM_BUILD_ROOT%{_sysconfdir}/ld.so.conf.d/fglrx.conf

cp -r common%{_libdir}/lib*.a $RPM_BUILD_ROOT%{_libdir}
cp -r common%{_libdir}/lib*.so* $RPM_BUILD_ROOT%{_libdir}/fglrx

/sbin/ldconfig -n $RPM_BUILD_ROOT%{_libdir}/fglrx
ln -sf fglrx/libGL.so.1 $RPM_BUILD_ROOT%{_libdir}/libGL.so
%else
cp -r common%{_libdir}/lib* $RPM_BUILD_ROOT%{_libdir}

/sbin/ldconfig -n $RPM_BUILD_ROOT%{_libdir}
ln -sf libGL.so.1 $RPM_BUILD_ROOT%{_libdir}/libGL.so
%endif

install common%{_includedir}/GL/*.h $RPM_BUILD_ROOT%{_includedir}/GL
install common/usr/X11R6/include/X11/extensions/*.h $RPM_BUILD_ROOT%{_includedir}/X11/extensions
echo "LIBGL_DRIVERS_PATH=%{_libdir}/xorg/modules/dri" > $RPM_BUILD_ROOT%{_sysconfdir}/env.d/LIBGL_DRIVERS_PATH

cd $RPM_BUILD_ROOT%{_libdir}
for f in libfglrx_dm libfglrx_gamma libfglrx_pp libfglrx_tvout; do
%if %{with multigl}
	ln -s fglrx/$f.so.*.* $f.so
%else
	ln -s $f.so.*.* $f.so
%endif
done
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	-n kernel%{_alt_kernel}-video-firegl
%depmod %{_kernel_ver}

%postun -n kernel%{_alt_kernel}-video-firegl
%depmod %{_kernel_ver}

%if %{with userspace}
%files
%defattr(644,root,root,755)
%doc ATI_LICENSE.TXT common%{_docdir}/fglrx/*.html common%{_docdir}/fglrx/articles common%{_docdir}/fglrx/user-manual
%dir %{_sysconfdir}/ati
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ati/control
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ati/signature
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ati/amdpcsdb.default
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ati/atiogl.xml
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/env.d/LIBGL_DRIVERS_PATH
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_sbindir}/*
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*.xpm
%{_datadir}/ati
%if %{with multigl}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ld.so.conf.d/fglrx.conf
%dir %{_libdir}/fglrx
%ifarch %{ix86} %{x8664}
%attr(755,root,root) %{_libdir}/fglrx/libAMDXvBA.so.*.*
%attr(755,root,root) %{_libdir}/fglrx/libAMDXvBA.so.1
%attr(755,root,root) %{_libdir}/fglrx/libXvBAW.so.*.*
%attr(755,root,root) %{_libdir}/fglrx/libXvBAW.so.1
%{_libdir}/fglrx/libAMDXvBA.cap
%endif
%attr(755,root,root) %{_libdir}/fglrx/libatiadlxx.so
%attr(755,root,root) %{_libdir}/fglrx/libGL.so.*.*
%attr(755,root,root) %{_libdir}/fglrx/libGL.so.1
%attr(755,root,root) %{_libdir}/fglrx/libfglrx_dm.so.*.*
%attr(755,root,root) %{_libdir}/fglrx/libfglrx_gamma.so.*.*
%attr(755,root,root) %{_libdir}/fglrx/libfglrx_gamma.so.1
%attr(755,root,root) %{_libdir}/fglrx/libfglrx_pp.so.*.*
%attr(755,root,root) %{_libdir}/fglrx/libfglrx_tvout.so.*.*
%attr(755,root,root) %{_libdir}/fglrx/libfglrx_tvout.so.1
%else
%ifarch %{ix86} %{x8664}
%attr(755,root,root) %{_libdir}/libAMDXvBA.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libAMDXvBA.so.1
%attr(755,root,root) %{_libdir}/libXvBAW.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libXvBAW.so.1
%{_libdir}/libAMDXvBA.cap
%endif
%attr(755,root,root) %{_libdir}/libatiadlxx.so
%attr(755,root,root) %{_libdir}/libGL.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libGL.so.1
%attr(755,root,root) %{_libdir}/libGL.so
%attr(755,root,root) %{_libdir}/libfglrx_dm.so.*.*
%attr(755,root,root) %{_libdir}/libfglrx_gamma.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libfglrx_gamma.so.1
%attr(755,root,root) %{_libdir}/libfglrx_pp.so.*.*
%attr(755,root,root) %{_libdir}/libfglrx_tvout.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libfglrx_tvout.so.1
%endif
%{_prefix}/lib/dri
%attr(755,root,root) %{_libdir}/xorg/modules/dri/fglrx_dri.so
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/fglrx_drv.so
%attr(755,root,root) %{_libdir}/xorg/modules/linux/libfglrxdrm.so
%attr(755,root,root) %{_libdir}/xorg/modules/amdxmm.so
%attr(755,root,root) %{_libdir}/xorg/modules/glesx.so
%attr(755,root,root) %{_libdir}/xorg/modules/esut.a

%files libdri
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/xorg/modules/extensions/libdri.so

%files libglx
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/xorg/modules/extensions/libglx.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libfglrx_dm.so
%attr(755,root,root) %{_libdir}/libfglrx_gamma.so
%attr(755,root,root) %{_libdir}/libfglrx_pp.so
%attr(755,root,root) %{_libdir}/libfglrx_tvout.so
%{_includedir}/GL/glATI.h
%{_includedir}/GL/glxATI.h
%{_includedir}/X11/extensions/fglrx_gamma.h
%if %{with multigl}
%attr(755,root,root) %{_libdir}/libGL.so
%endif

%files static
%defattr(644,root,root,755)
%{_libdir}/libfglrx_dm.a
%{_libdir}/libfglrx_gamma.a
%{_libdir}/libfglrx_pp.a
%{_libdir}/libfglrx_tvout.a
%endif

%if %{with kernel}
%files -n kernel%{_alt_kernel}-video-firegl
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}/misc/*.ko*
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-driver-video-fglrx.spec,v $
Revision 1.133  2009/02/07 16:57:10  arekm
- release 2

Revision 1.132  2009/01/31 20:55:39  cactus
- up to 9.1

Revision 1.131  2009/01/25 10:35:31  pluto
- pack /usr/lib/dri symlink, release 5.

Revision 1.130  2009/01/25 10:25:01  pluto
- don't suggest installation conflicts (swrast needs xorg libglx/libdri that conflict with fglrx).

Revision 1.129  2009/01/24 15:07:18  blues
- rel.4

Revision 1.128  2008/12/27 08:58:10  qboosh
- xserver module provides should be pure virtual

Revision 1.127  2008/12/20 17:40:00  blues
- reverse req - main package requires libraries, added conflicts and some
  provides

Revision 1.126  2008/12/20 16:58:02  blues
- package libdri and libglx as separate packages.

Revision 1.125  2008/12/19 06:31:09  arekm
- release 3

Revision 1.124  2008/12/17 19:08:55  blues
- Suggest Mesa-dri-driver-swrast as last resort

Revision 1.123  2008/12/16 21:29:07  hawk
- release 2

Revision 1.122  2008/12/16 09:54:21  hawk
- updated to 8.12

Revision 1.121  2008/12/14 11:43:07  arekm
- release 5

Revision 1.120  2008/12/06 09:00:22  arekm
- release 4

Revision 1.119  2008/12/04 01:01:31  pluto
- release 3 for 2.6.27.7-3.

Revision 1.118  2008/11/21 16:15:49  arekm
- release 2

Revision 1.117  2008/11/19 16:42:04  hawk
- updated to 8.11 from revision 1.113 (according to ATI site it works with
  xorg 7.4), merged "package XvBA on x86-64 too"

Revision 1.116  2008/11/02 18:42:50  pluto
- package XvBA on x86-64 too.

Revision 1.115  2008/11/02 18:23:12  shadzik
- oops, now it's really 8.10.1 - thx pluto

Revision 1.113  2008/10/27 14:01:59  glen
- disable debuginfo for kernel only build

Revision 1.112  2008/10/18 04:29:50  qboosh
- tab

Revision 1.111  2008/10/17 22:55:52  cactus
- up to 8.10 (untested)

Revision 1.110  2008/10/13 21:14:28  arekm
- grr cactus. rel 1 (untested)

Revision 1.109  2008/10/08 18:55:05  arekm
- major abi cannot change

Revision 1.108  2008/09/18 17:56:44  cactus
- up to 8.9 , rel. 0.5
- TODO: provides libdri.so which conflicting with xorg-xserver-server - any solution?

Revision 1.107  2008/09/09 09:04:05  hawk
- release 7

Revision 1.106  2008/09/09 09:02:09  hawk
- release 6

Revision 1.105  2008/09/03 17:57:53  hawk
- dopped no longer needed 2.6.26 patch, fixed upstream
  NOTE: when you are updating spec _please check all patches_!

Revision 1.104  2008/09/02 20:17:45  qboosh
- provide ghost soname symlinks
- .cap not executable

Revision 1.103  2008/09/02 07:48:26  arekm
- rel 4; fix x86_64 build

Revision 1.102  2008/09/02 06:42:22  arekm
- release 3

Revision 1.101  2008/08/30 16:33:16  arekm
- release 2

Revision 1.100  2008/08/20 21:21:17  cactus
- up to 8.8
- checkerboard corruption fixed in this release

Revision 1.99  2008/08/06 20:20:49  hawk
- release 5

Revision 1.98  2008/08/03 10:20:08  arekm
- release 4

Revision 1.97  2008/07/29 09:42:51  hawk
- fix building with kernel 2.6.26, release 3

Revision 1.96  2008/07/27 15:59:28  megabajt
- don't own %{_desktopdir}

Revision 1.95  2008/07/25 07:10:18  arekm
- release 2

Revision 1.94  2008/07/21 22:33:02  cactus
- up to 8.7

Revision 1.93  2008/07/19 08:01:39  arekm
- release 8

Revision 1.92  2008/07/15 09:16:15  arekm
- release 7

Revision 1.91  2008/07/02 20:44:19  arekm
- release 6

Revision 1.90  2008/07/01 16:07:33  arekm
- release 5

Revision 1.89  2008/06/26 20:06:25  pluto
- smp patch, release 4.

Revision 1.88  2008/06/26 06:46:44  arekm
- release 3

Revision 1.87  2008/06/24 11:27:24  arekm
- release 2

Revision 1.86  2008/06/19 21:58:55  cactus
- up to 8.6
- rel 1
- this release has got UYVY and YUY2 support - TV playback apps works now on ATI (tvtime)
- some new tools : amdnotifyui,atieventsd,atiodcli,atiode

Revision 1.85  2008/06/11 15:51:53  hawk
- release 3

Revision 1.84  2008-06-08 16:52:27  hawk
- release 2

Revision 1.83  2008-05-22 23:29:08  cactus
- up to 8.5

Revision 1.82  2008-05-18 18:20:49  glen
- url update (from X11-driver-firegl.spec)

Revision 1.81  2008-04-19 11:25:20  cactus
- up to 8.4

Revision 1.80  2008-03-27 22:26:08  glen
- rel 3 (2.6.22.19-5)

Revision 1.79  2008-03-10 12:22:35  arekm
- release 2

Revision 1.78  2008-03-05 22:58:24  vip
- up to 8.3

Revision 1.77  2008-02-20 22:58:24  cactus
- up to 8.2
- rel 1.

Revision 1.76  2008-02-11 11:33:13  arekm
- rel 5

Revision 1.75  2008-02-08 08:51:52  hawk
- release 4

Revision 1.74  2008-02-03 07:39:50  hawk
- release 3

Revision 1.73  2008-01-31 12:21:23  hawk
- release 2

Revision 1.72  2008-01-23 18:00:16  hawk
- suffix src package with alt kernel name (if present)
- disable userspace for alt_kernels

Revision 1.71  2008-01-21 08:47:32  hawk
- restored revision and missing changelog entries (cactus, please use cvs
  diff before commiting changes)

Revision 1.70  2008-01-18 16:29:51  cactus
- we need some files to get new driver to work.

Revision 1.69  2008/01/18 15:50:19  vip
- fix build (no release-notes in this version)

Revision 1.68  2008-01-18 15:32:30  cactus
- pm.patch not needed any more

Revision 1.67  2008-01-18 15:24:50  cactus
- up to 8.1

Revision 1.66  2008-01-13 22:58:02  cactus
- back to 7.12 - wrong patch before

Revision 1.65  2008-01-13 22:53:39  cactus
- from 7.11 amd control center works.

Revision 1.64  2007/12/21 12:52:01  vip
- up to 7.12

Revision 1.63  2007-12-17 14:20:19  arekm
- rel 4

Revision 1.62  2007-12-15 12:01:52  arekm
- rel 3

Revision 1.61  2007-11-29 08:06:44  arekm
- rel 2

Revision 1.60  2007-11-22 10:24:45  vip
- up to 7.11 (yup, versioning scheme change)

Revision 1.59  2007-11-09 18:17:01  patrys
- don't obsolete mesa-libgl

Revision 1.58  2007-10-25 14:00:07  blues
- rel.2

Revision 1.57  2007/10/25 13:41:45  draenog
- libGL.so.1 is not created ldconfig

Revision 1.56  2007/10/24 16:02:30  qboosh
- libGL.so.1 is defined by OpenGL ABI for Linux specs, not Mesa itself

Revision 1.55  2007/10/24 15:52:26  arekm
- missing endif

Revision 1.54  2007/10/24 15:00:58  blues
- rel.1

Revision 1.53  2007/10/24 14:59:10  blues
- md5 missing

Revision 1.52  2007/10/24 14:58:41  blues
- merged with DEVEL

Revision 1.51  2007/10/12 10:05:05  arekm
- rel 5; enable PM on newer kernels

Revision 1.50  2007/10/08 20:57:50  blues
- rel.4

Revision 1.49  2007/10/08 20:55:57  blues
- revert, move new version to DEVEL branch

Revision 1.47  2007/09/28 22:26:26  baggins
- moved contents of MULTIGL branch to multigl bcond on HEAD

Revision 1.46  2007/09/10 17:02:25  arekm
- require old ABI not available in xserver 1.4

Revision 1.45  2007/09/06 19:45:55  arekm
- rebuilding for new xserver

Revision 1.44  2007/08/27 16:55:08  qboosh
- implements GLX 1.4, added appropriate Provides

Revision 1.43  2007/08/26 23:46:45  qboosh
- better macros usage
- package libGL.so.1 symlink as ghost
- esut.a old-style module moved from -static to base

Revision 1.42  2007/08/20 09:44:40  vip
- up to 8.40.4

Revision 1.41  2007/08/04 09:17:39  qboosh
- missing dir

Revision 1.40  2007/07/27 17:30:20  vip
- up to 8.39.4
- package /etc/ati/control file

Revision 1.39  2007/06/29 08:41:54  vip
- up to 8.38.6
- this rev features: aiglx (composite) germ; 7.2 cooperation; no need to patch agpgart; no panel (new catalyst app not packaged, it does not work for me)

Revision 1.38  2007/06/08 21:42:56  arekm
- rel 2

Revision 1.37  2007/06/01 22:01:57  vip
- up to 8.37.6

Revision 1.36  2007/04/20 08:34:05  vip
- up to 8.36.5
- this driver has support for 2.6.20 and no support for aiglx (more info: http://www.phoronix.com/scan.php?page=article&item=685&num=1)

Revision 1.35  2007/04/08 23:52:55  shadzik
- proper rpm macros are not enough, you need also a proper kernel (updated kernel-module-build version)

Revision 1.34  2007/03/29 10:48:44  pluto
- no kernel dependencies in userspace packages.

Revision 1.33  2007/03/28 23:06:01  vip
- up to 8.35.5

Revision 1.32  2007/03/25 21:54:17  shadzik
- use new kernel macros
- remove smp stuff

Revision 1.31  2007/02/23 12:12:49  vip
- up to 8.34.8
- fix build with 2.6.20 kernels
- allow to build smp only

Revision 1.30  2007/02/17 20:14:02  baggins
- O: Mesa-libGL

Revision 1.29  2007/02/12 22:09:24  glen
- tabs in preamble

Revision 1.28  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.27  2007/01/10 18:24:58  wolf
- 8.33.6

Revision 1.26  2007/01/06 22:47:46  arekm
- obsolete only Ac version of X11 so metapackage-xorg will have a chance to work

Revision 1.25  2006/12/13 22:36:43  glen
- include version in last changelog entry

Revision 1.24  2006/12/13 22:31:25  vip
- version fix [8.32.5]

Revision 1.23  2006/12/13 20:25:54  wolf
- 8.32.2

Revision 1.22  2006/11/15 18:37:02  wolf
- 8.31.5

Revision 1.21  2006/11/15 17:10:52  sparky
- pass GCC_VER_MAJ

Revision 1.20  2006/11/14 20:36:22  sparky
- BR: rpmbuild(macros) >= 1.330 -- build_kernel_modules fix for kernels 2.6.18

Revision 1.19  2006/11/13 15:06:00  sparky
- don't use %{without ...}, it may not work after inverting bcond

Revision 1.18  2006/11/13 12:45:53  sparky
- %{_alt_kernel} support
- use %build_kernel_modules, %install_kernel_modules (not tested)

Revision 1.17  2006/10/12 20:17:58  wolf
- BR xorg-xserver-libglx

Revision 1.16  2006/09/25 10:19:12  shadzik
- 8.29.6

Revision 1.15  2006/09/06 13:48:33  sparky
- mass atack: -j1 for make scripts

Revision 1.14  2006/08/30 08:04:20  pluto
- release 1, rebuild with 2.6.16.28-1.

Revision 1.13  2006/08/20 18:37:24  qboosh
- pl for -devel,-static

Revision 1.12  2006/08/20 16:30:29  pluto
- added /etc/env.d/LIBGL_DRIVERS_PATH, -devel, -static, release 0.2.

Revision 1.11  2006/08/19 12:27:32  wolf
- 8.28.8

Revision 1.10  2006/07/29 10:26:26  wolf
- 8.27.10

Revision 1.9  2006/07/11 15:34:44  pluto
- BR: OpenGL-GLU-devel for userspace.
- kill /usr/X11R6.

Revision 1.8  2006/05/25 12:44:04  wolf
- 8.25.18

Revision 1.7  2006/05/22 06:56:04  pluto
- blocker info.

Revision 1.6  2006/05/14 20:01:47  pluto
- updated to 8.24.8, release 0.1 (doesn't build on 2.6.16.16).

Revision 1.5  2006/04/12 12:15:40  glen
- add kernel epoch, adapterized

Revision 1.4  2006/04/02 15:44:42  dzeus
- fixed broken commit

Revision 1.3  2006/04/02 15:42:51  dzeus
- added missing BR

Revision 1.2  2006/03/05 11:08:33  patrys
- typo

Revision 1.1  2006/02/19 22:50:32  wolf
- based on X11-driver-firegl.spec
